curl -X GET "https://api.kadoa.com/v4/changes/123456789" \
-H "x-api-key: YOUR_API_KEY"{
"id": "<string>",
"workflowId": "<string>",
"data": [
{}
],
"differences": [
{
"type": "added",
"fields": [
{
"key": "<string>",
"value": "<string>",
"previousValue": "<string>"
}
],
"visualDiff": {
"current": {
"url": "<string>",
"width": 123,
"height": 123,
"rowBox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"fieldBoxes": {}
},
"previous": {
"url": "<string>",
"width": 123,
"height": 123,
"rowBox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"fieldBoxes": {}
}
}
}
],
"url": "<string>",
"summary": "<string>",
"screenshotUrl": "<string>",
"previousJobScreenshotUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}curl -X GET "https://api.kadoa.com/v4/changes/123456789" \
-H "x-api-key: YOUR_API_KEY"{
"id": "<string>",
"workflowId": "<string>",
"data": [
{}
],
"differences": [
{
"type": "added",
"fields": [
{
"key": "<string>",
"value": "<string>",
"previousValue": "<string>"
}
],
"visualDiff": {
"current": {
"url": "<string>",
"width": 123,
"height": 123,
"rowBox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"fieldBoxes": {}
},
"previous": {
"url": "<string>",
"width": 123,
"height": 123,
"rowBox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"fieldBoxes": {}
}
}
}
],
"url": "<string>",
"summary": "<string>",
"screenshotUrl": "<string>",
"previousJobScreenshotUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication
ID of the workflow change to retrieve
Workflow change returned successfully
Unique identifier of the change
ID of the workflow this change belongs to
Current state of the data after the change
Structured representation of changes with object-based diffing
Show child attributes
URL where the change was detected
AI-generated one-sentence summary of the data change. Null if generation failed, feature is disabled, or change predates the feature.
URL of the screenshot taken when the change was detected
Screenshot URL from the previous workflow job used by visualDiff.previous boxes.
Timestamp when the change was created